ActiveMQInitialContextFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.jndi.ActiveMQInitialContextFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.jndi
Class ActiveMQInitialContextFactory

    java.lang.Object
      org.codehaus.activemq.jndi.ActiveMQInitialContextFactory

All Implemented Interfaces:
  InitialContextFactory

public class ActiveMQInitialContextFactory
extends Object
implements InitialContextFactory

A factory of the ActiveMQ InitialContext which contains `ConnectionFactory` instances as well as a child context called destinations which contain all of the current active destinations, in child context depending on the QoS such as transient or durable and queue or topic.

Version:
  $Revision: 1.3 $

Constructor Summary
`ActiveMQInitialContextFactory()`

Method Summary
`protected ActiveMQConnectionFactory` | `createConnectionFactory(Hashtable environment)` Factory method to create a new connection factory from the given environment
`protected Queue` | `createQueue(String name)` Factory method to create new Queue instances
`protected void` | `createQueues(Map data, Hashtable environment)`
`protected Topic` | `createTopic(String name)` Factory method to create new Topic instances
`protected void` | `createTopics(Map data, Hashtable environment)`
`Context` | `getInitialContext(Hashtable environment)`
`String` | `getQueuePrefix()`
`String` | `getTopicPrefix()`
`void` | `setQueuePrefix(String queuePrefix)`
`void` | `setTopicPrefix(String topicPrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActiveMQInitialContextFactory

    public ActiveMQInitialContextFactory()

Method Detail

### getInitialContext

    public Context getInitialContext(Hashtable environment)
                              throws NamingException

  Specified by:
    `getInitialContext` in interface `InitialContextFactory`
  Throws:
    `NamingException`

### getTopicPrefix

    public String getTopicPrefix()

### setTopicPrefix

    public void setTopicPrefix(String topicPrefix)

### getQueuePrefix

    public String getQueuePrefix()

### setQueuePrefix

    public void setQueuePrefix(String queuePrefix)

### createQueues

    protected void createQueues(Map data,
                                Hashtable environment)

### createTopics

    protected void createTopics(Map data,
                                Hashtable environment)

### createQueue

    protected Queue createQueue(String name)

  Factory method to create new Queue instances

### createTopic

    protected Topic createTopic(String name)

  Factory method to create new Topic instances

### createConnectionFactory

    protected ActiveMQConnectionFactory createConnectionFactory(Hashtable environment)

  Factory method to create a new connection factory from the given environment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.